Loading...
Searching...
No Matches
vspace::Event Class Referenceabstract

`#include <vspace.h>`

## Public Member Functions

virtual bool | start_listen (internals::ipc_signal_t sig)=0
virtual void | stop_listen ()=0

## Private Attributes

Event * | _next

## Friends

class | EventSet

## Detailed Description

Definition at line 2570 of file vspace.h.

## Member Function Documentation

## start_listen()

virtual bool vspace::Event::start_listen | ( | internals::ipc_signal_t | sig | ) |

pure virtual

Implemented in vspace::DequeueEvent< T >, vspace::EnqueueEvent< T >, vspace::SyncReadEvent< T >, and vspace::WaitSemaphoreEvent.

## stop_listen()

virtual void vspace::Event::stop_listen | ( |  | ) |

pure virtual

Implemented in vspace::DequeueEvent< T >, vspace::EnqueueEvent< T >, vspace::SyncReadEvent< T >, and vspace::WaitSemaphoreEvent.

## Friends And Related Symbol Documentation

## EventSet

friend class EventSet

friend

Definition at line 2573 of file vspace.h.

## Field Documentation

## _next

Event* vspace::Event::_next

private

Definition at line 2572 of file vspace.h.

The documentation for this class was generated from the following file:

- kernel/oswrapper/vspace.h